# CAMERASYNC Plugin

Allows the players' cameras to be synchronized with the GM camera when the GM presses ALT-B (left ALT). The GM can move their camera freely without the players watching what they are looking the rest of the time.

## Change Log

```
1.1.0: Changed the code to synchronize on key press and release of ALT-B instead of activation state of scroll lock in order to limit log messages. Changed the Readme sections accordingly.
1.0.1: Added a Limitations category to the readme
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

Start the game without your scroll lock key on, open up a game as GM and either have players join you with your game ID or open a second instance of the game by typing the followingcommand 
```
TaleSpire.exe --doorstop-enable true --doorstop-target "C:\Users\%USERNAME%\AppData\Roaming\r2modmanPlus-local\TaleSpire\profiles\default\BepInEx\core\BepInEx.Preloader.dll"
```
in the Talespire folder. 

Update the R2ModMan profile name if you use a different one that is not "default".

# Limitations

-If going for the double instances running on the same machine: you CAN'T have both your instances set as GM when you press ALT-B, the option to change one of your session from GM to player that is on the extreme upper left of your talespire window (Sessions default to GM so remember to change one before using the feature).

-If going for the option to have players join your game with your game ID on their own Talespire copies : If you have at least one player as a second GM don't press ALT-B at the same time.

## Credits

Thanks to Lord Ashes for their huge help in making this QOL plugin a reality and guiding me along the way.